Bug 1323154 - [RFE] Provide a hyperlink on the recipe page linking to the web application running on the system
Summary: [RFE] Provide a hyperlink on the recipe page linking to the web application r...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI   
(Show other bugs)
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.0
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-01 12:04 UTC by Lukas Zapletal
Modified: 2017-02-21 18:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-21 18:51:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lukas Zapletal 2016-04-01 12:04:49 UTC
Detail page of each job have a link that takes you to the detail of the host.

We often provision machines with bug reproducers reserved for investigation and I usually need to copy the machine name, open new tab and paste it to access the Web user interface.

A simple link (an icon or text) on the detail page would be big help.

Comment 1 Dan Callaghan 2016-04-04 03:47:40 UTC
The recipe widget (on the recipe page and job page) already has a link to the system page for that system. That is, if recipe 123 ran on $FQDN then:

https://beaker.example.com/recipes/123

links to

https://beaker.example.com/view/$FQDN

Do you mean, you also want it to link to

http://$FQDN/

under the assumption that there is some web app running there?

Comment 2 Lukas Zapletal 2016-04-04 08:17:19 UTC
Dan, I mean exactly that. I apologize for confusion.

I understand not all use cases are web apps, but the portion is perhaps increasing. If you can at least track this request with low-priority, that would be great. Thanks!

Comment 3 Dan Callaghan 2017-01-12 03:13:51 UTC
I actually implemented this as part of bug 1366191 for Beaker 24.0.

Comment 4 Dan Callaghan 2017-01-12 03:15:26 UTC
... although now that I look at it again, I see that we are still showing the "View http://$THESYSTEM" menu item even after the recipe is finished, which is not right. But I think we can file that as a separate bug to fix in 24.1.

Comment 5 Hui Wang 2017-01-13 03:25:49 UTC
Verified this issue in bug 1366191 and filed a new bug 1412878 according comment #4.

Comment 6 Dan Callaghan 2017-01-13 04:25:09 UTC
Thanks Sophia.

Comment 7 Dan Callaghan 2017-02-21 18:51:17 UTC
Beaker 24.0 has been released.


Note You need to log in before you can comment on or make changes to this bug.